UnicodeUnescaper (Apache Commons Text 1.13.0 API)
Description: declaration: package: org.apache.commons.text.translate, class: UnicodeUnescaper

Package org.apache.commons.text.translate

# Class UnicodeUnescaper

java.lang.Object
org.apache.commons.text.translate.CharSequenceTranslator
org.apache.commons.text.translate.UnicodeUnescaper

public class UnicodeUnescaper extends CharSequenceTranslator
Translates escaped Unicode values of the form \\u+\d\d\d\d back to Unicode. It supports multiple 'u' characters and will work with or without the +.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnicodeUnescaper()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `translate(CharSequence input, int index, Writer writer)`
  Translate a set of code points, represented by an int index into a CharSequence, into another set of code points.

  ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnicodeUnescaper

    public UnicodeUnescaper()
    Constructs a new instance.

- ## Method Details

  - ### translate

    public int translate(CharSequence input, int index, Writer writer) throws IOException
    Translate a set of code points, represented by an int index into a CharSequence, into another set of code points. The number of code points consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
    Specified by:
      `translate` in class `CharSequenceTranslator`
    Parameters:
      `input` - CharSequence that is being translated
      `index` - int representing the current point of translation
      `writer` - Writer to translate the text to
    Returns:
      int count of code points consumed
    Throws:
      `IOException` - if and only if the Writer produces an IOException